## shotwell 0.12.2

=== Makefile ===
PROGRAM = shotwell
PROGRAM_THUMBNAILER = shotwell-video-thumbnailer

VERSION = 0.12.2
GETTEXT_PACKAGE = $(PROGRAM)
BUILD_ROOT = 1

ifndef VALAC
VALAC := valac
endif
VALAC_VERSION := `$(VALAC) --version | awk '{print $$2}'`
MIN_VALAC_VERSION := 0.15.2
INSTALL_PROGRAM := install
INSTALL_DATA := install -m 644

# needed for testing
VALADATE_PKG_NAME := valadate-1.0
MIN_VALADATE_VERSION := 0.1.1

# defaults that may be overridden by configure.mk
PREFIX=/usr/local
BUILD_RELEASE=1
LIB=lib

-include configure.mk

CORE_SUPPORTED_LANGUAGES= ia hi ta_IN te_IN fr de it es pl et sv sk lv pt bg bn nl da zh_CN \
    el ru pa hu en_GB uk ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR \
    eu he mk te ta vi

EXTRAS_SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa hu en_GB uk \
    ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR eu he mk te ta vi

LOCAL_LANG_DIR=locale-langpack
SYSTEM_LANG_DIR := $(DESTDIR)$(PREFIX)/share/locale

VALAFLAGS := -g --enable-checking --thread --fatal-warnings --enable-deprecated $(USER_VALAFLAGS)
ifdef UNITY_SUPPORT
VALAFLAGS := $(VALAFLAGS) --define UNITY_SUPPORT
endif

DEFINES := _PREFIX='"$(PREFIX)"' _VERSION='"$(VERSION)"' GETTEXT_PACKAGE='"$(GETTEXT_PACKAGE)"' \
	_LANG_SUPPORT_DIR='"$(SYSTEM_LANG_DIR)"' _LIB='"${LIB}"'

EXPORT_FLAGS = -export-dynamic

include units.mk
include plugins/plugins.mk

UNUNITIZED_SRC_FILES = \
	main.vala \
	AppWindow.vala \
	CollectionPage.vala \
	Thumbnail.vala \
	ThumbnailCache.vala \
	CheckerboardLayout.vala \
	PhotoPage.vala \
	Page.vala \
	SortedList.vala \
	SortedListTests.vala \
	Dimensions.vala \
	Box.vala \
	Photo.vala \
	Orientation.vala \
	BatchImport.vala \
	Dialogs.vala \
	Resources.vala \
	Debug.vala \
	ColorTransformation.vala \
	Properties.vala \
	CustomComponents.vala \
	Event.vala \
	International.vala \
	AppDirs.vala \
	PixbufCache.vala \
	CommandManager.vala \
	Commands.vala \
	SlideshowPage.vala \
	LibraryFiles.vala \
	Printing.vala \
	Tag.vala \
	Screensaver.vala \
	Exporter.vala \
	DirectoryMonitor.vala \
	LibraryMonitor.vala \
	VideoSupport.vala \
	Tombstone.vala \
	MetadataWriter.vala \
	Application.vala \
	TimedQueue.vala \
	MediaPage.vala \
	MediaDataRepresentation.vala \
	DesktopIntegration.vala \
	MediaInterfaces.vala \
	MediaMetadata.vala \
	VideoMetadata.vala \
	MediaMonitor.vala \
	PhotoMonitor.vala \
	VideoMonitor.vala \
	SearchFilter.vala \
	MediaViewTracker.vala \
	UnityProgressBar.vala \
	Upgrades.vala 

THUMBNAILER_SRC_FILES = \
	shotwell-video-thumbnailer.vala

VAPI_FILES = \
	ExtendedPosix.vapi \
	LConv.vapi \
	libexif.vapi \
	libgphoto2.vapi \
	libraw.vapi \
	unique-3.0.vapi \
	webkitgtk-3.0.vapi

RESOURCE_FILES = \
	collection.ui \
	direct.ui \
	direct_context.ui \
	events_directory.ui \
	event.ui \
	fullscreen.ui \
	import_queue.ui \
	import.ui \
	media.ui \
	offline.ui \
	photo.ui \
	photo_context.ui \
	savedsearch.ui \
	search_bar.ui \
	search_sidebar_context.ui \
	set_background_dialog.glade \
	shotwell.glade \
	shotwell.xml \
	sidebar_default_context.ui \
	tag_sidebar_context.ui \
	tags.ui \
	top.ui \
	trash.ui 

SYS_INTEGRATION_FILES = \
	shotwell.desktop.head \
	shotwell-viewer.desktop.head \
	org.yorba.shotwell.gschema.xml \
	org.yorba.shotwell-extras.gschema.xml \
	shotwell.convert

SRC_HEADER_FILES = \
	gphoto.h

TEXT_FILES = \
	AUTHORS \
	COPYING \
	INSTALL \
	MAINTAINERS \
	NEWS \
	README \
	THANKS

ICON_FILES = \
	all-rejected.png \
	crop-pivot-reticle.png \
	crop.svg \
	drag_nub.png \
	enhance.png \
	five-star-filter.svg \
	five-stars.svg \
	flag-page.png \
	flag-trinket.png \
	four-star-filter-plus.svg \
	four-stars.svg \
	image-adjust.svg \
	import-all.png \
	import.svg \
	make-primary.svg \
	merge.svg \
	multiple-events.png \
	multiple-tags.png \
	noninterpretable-video.png \
	one-event.png \
	one-star-filter-plus.svg \
	one-star.svg \
	one-tag.png \
	pin-toolbar.svg \
	publish.png \
	redeye.png \
	rejected.svg \
	shotwell-16.svg \
	shotwell-24.svg \
	shotwell.ico \
	shotwell-street.jpg \
	shotwell.svg \
	sprocket.png \
	straighten.svg \
	three-star-filter-plus.svg \
	three-stars.svg \
	two-star-filter-plus.svg \
	two-stars.svg \
	videos-page.png \
	zoom-in.png \
	zoom-out.png \
	slideshow-extension-point.png \
	generic-plugin.png \
	filter-raw.png \
	filter-photos.png \
	filter-videos.png \
	filter-flagged.png

HELP_FILES = \
	edit-adjustments.page \
	edit-crop.page \
	edit-enhance.page \
	edit-external.page \
	edit-nondestructive.page \
	edit-redeye.page \
	edit-rotate.page \
	edit-straighten.page \
	edit-time-date.page \
	edit-undo.page \
	formats.page \
	import-camera.page \
	import-file.page \
	import-f-spot.page \
	import-memorycard.page \
	index.page \
	organize-event.page \
	organize-flag.page \
	organize-rating.page \
	organize-remove.page \
	organize-search.page \
	organize-tag.page \
	organize-title.page \
	other-files.page \
	other-missing.page \
	other-multiple.page \
	other-plugins.page \
	raw.page \
	running.page \
	share-background.page \
	share-export.page \
	share-print.page \
	share-send.page \
	share-slideshow.page \
	share-upload.page \
	view-displaying.page \
	view-information.page \
	view-sidebar.page

HELP_IMAGES = \
	crop_thirds.jpg \
	editing_overview.png \
	edit_toolbar.png \
	shotwell_logo.png \
	trash_process.png

VAPI_DIRS = \
	./vapi

HEADER_DIRS = \
	./vapi

LOCAL_PKGS = \
	ExtendedPosix \
	posix \
	LConv

# libraw is not listed (see note below); when libraw-config is no longer needed, it should be
# added to this list
EXT_PKGS = \
	atk \
	gdk-3.0 \
	gdk-x11-3.0 \
	gee-1.0 \
	gexiv2 \
	gio-unix-2.0 \
	glib-2.0 \
	gmodule-2.0 \
	gstreamer-0.10 \
	gstreamer-base-0.10 \
	gstreamer-pbutils-0.10 \
	gtk+-3.0 \
	gudev-1.0 \
	libexif \
	libgphoto2 \
	libsoup-2.4 \
	libxml-2.0 \
	sqlite3 \
	unique-3.0 \
	webkitgtk-3.0
ifdef UNITY_SUPPORT
EXT_PKGS += unity
endif

THUMBNAILER_PKGS = \
    gtk+-3.0 \
    gee-1.0 \
    gstreamer-0.10 \
    gstreamer-base-0.10

DIRECT_LIBS =

LIBRAW_PKG = \
	libraw

# libraw is handled separately (see note below); when libraw-config is no longer needed, the version
# should be added to this list
EXT_PKG_VERSIONS = \
	gee-1.0 >= 0.5.0 \
	gexiv2 >= 0.3.92 \
	gio-unix-2.0 >= 2.20 \
	glib-2.0 >= 2.30.0 \
	gmodule-2.0 >= 2.24.0 \
	gstreamer-0.10 >= 0.10.28 \
	gstreamer-base-0.10 >= 0.10.28 \
	gstreamer-plugins-base-0.10 >= 0.10.32 \
	gstreamer-pbutils-0.10 >= 0.10.32 \
	gtk+-3.0 >= 3.0.11 \
	gudev-1.0 >= 145 \
	libexif >= 0.6.16 \
	libgphoto2 >= 2.4.2 \
	libsoup-2.4 >= 2.26.0 \
	libxml-2.0 >= 2.6.32 \
	sqlite3 >= 3.5.9 \
	unique-3.0 >= 3.0.0 \
	webkitgtk-3.0 >= 1.4.0 

ifdef ENABLE_TESTS
EXT_PKGS += valadate-1.0
EXT_PKG_VERSIONS += valadate-1.0 >= 0.1.1
endif
DIRECT_LIBS_VERSIONS =

LIBRAW_VERSION = \
	0.9.0

VALA_PKGS = $(EXT_PKGS) $(LOCAL_PKGS) $(LIBRAW_PKG)

ifndef BUILD_DIR
BUILD_DIR=src
endif

DESKTOP_APP_SHORT_NAME="Shotwell"
DESKTOP_APP_FULL_NAME="Shotwell Photo Manager"
DESKTOP_APPLICATION_COMMENT="Organize your photos"
DESKTOP_APPLICATION_CLASS="Photo Manager"
DIRECT_EDIT_DESKTOP_APP_SHORT_NAME="Shotwell"
DIRECT_EDIT_DESKTOP_APP_FULL_NAME="Shotwell Photo Viewer"
DIRECT_EDIT_DESKTOP_APPLICATION_CLASS="Photo Viewer"
TEMPORARY_DESKTOP_FILES = misc/shotwell.desktop misc/shotwell-viewer.desktop

# Process the units
UNIT_MKS := $(foreach unit,$(UNITS),src/$(unit)/mk/$(notdir $(unit)).mk)
include $(UNIT_MKS)

UNITIZE_DIR := src/.unitize
UNITIZE_ENTRIES := $(foreach unit,$(APP_UNITS),$(UNITIZE_DIR)/_$(unit)_unitize_entry.vala)
UNITIZE_INITS := $(foreach nm,$(UNIT_NAMESPACES),$(UNITIZE_DIR)/_$(nm)Internals.vala)
UNITIZE_STAMP := $(UNITIZE_DIR)/.unitized

PLUGINS_DIR := plugins
PLUGINS_SO := $(foreach plugin,$(PLUGINS),$(PLUGINS_DIR)/$(plugin)/$(plugin).so)
EXTRA_PLUGINS_SO := $(foreach plugin,$(EXTRA_PLUGINS),$(PLUGINS_DIR)/$(plugin)/$(plugin).so)
PLUGINS_DIST_FILES := `$(MAKE) --directory=plugins --no-print-directory listfiles`

THUMBNAILER_DIR := thumbnailer
THUMBNAILER_BIN := $(THUMBNAILER_DIR)/$(PROGRAM_THUMBNAILER)
EXPANDED_THUMBNAILER_SRC_FILES := $(foreach file, $(THUMBNAILER_SRC_FILES), $(THUMBNAILER_DIR)/$(file))

EXPANDED_CORE_PO_FILES := $(foreach po,$(CORE_SUPPORTED_LANGUAGES),po/shotwell-core/$(po).po)
EXPANDED_EXTRAS_PO_FILES := $(foreach po,$(EXTRAS_SUPPORTED_LANGUAGES),po/shotwell-extras/$(po).po)

EXPANDED_SRC_FILES := $(UNITIZED_SRC_FILES) $(foreach src,$(UNUNITIZED_SRC_FILES),src/$(src)) \
	$(UNITIZE_INITS) $(UNITIZE_ENTRIES)
EXPANDED_DIST_SRC_FILES := $(UNITIZED_SRC_FILES) $(foreach src,$(UNUNITIZED_SRC_FILES),src/$(src))
EXPANDED_C_FILES := $(foreach file,$(subst src,$(BUILD_DIR),$(EXPANDED_SRC_FILES)),$(file:.vala=.c))
EXPANDED_OBJ_FILES := $(foreach file,$(subst src,$(BUILD_DIR),$(EXPANDED_SRC_FILES)),$(file:.vala=.o))
EXPANDED_SYS_INTEGRATION_FILES := $(foreach file,$(SYS_INTEGRATION_FILES),misc/$(file))
EXPANDED_ICON_FILES := $(foreach file,$(ICON_FILES),icons/$(file))
EXPANDED_VAPI_FILES := $(foreach vapi,$(VAPI_FILES),vapi/$(vapi))
EXPANDED_SRC_HEADER_FILES := $(foreach header,$(SRC_HEADER_FILES),vapi/$(header))
EXPANDED_RESOURCE_FILES := $(foreach res,$(RESOURCE_FILES),ui/$(res))
EXPANDED_HELP_FILES := $(foreach file,$(HELP_FILES),help/C/$(file))
EXPANDED_HELP_IMAGES := $(foreach file,$(HELP_IMAGES),help/C/figures/$(file))
VALA_STAMP := $(BUILD_DIR)/.stamp
LANG_STAMP := $(LOCAL_LANG_DIR)/.langstamp
MAKE_FILES := Makefile $(CONFIG_IN) $(UNIT_MKS) unitize.mk units.mk
PC_INPUT := shotwell-plugin-dev-1.0.m4
PC_FILE := $(PC_INPUT:.m4=.pc)

DIST_FILES = Makefile configure chkver $(EXPANDED_DIST_SRC_FILES) $(EXPANDED_VAPI_FILES) \
	$(EXPANDED_SRC_HEADER_FILES) $(EXPANDED_RESOURCE_FILES) $(TEXT_FILES) $(EXPANDED_ICON_FILES) \
	$(EXPANDED_SYS_INTEGRATION_FILES) $(EXPANDED_CORE_PO_FILES) $(EXPANDED_EXTRAS_PO_FILES) \
	po/shotwell-core/shotwell.pot po/shotwell-extras/shotwell-extras.pot libraw-config \
	$(EXPANDED_HELP_FILES) $(EXPANDED_HELP_IMAGES) apport/shotwell.py $(UNIT_RESOURCES) $(UNIT_MKS) \
	unitize.mk units.mk $(PC_INPUT) $(PLUGINS_DIST_FILES) \
	$(EXPANDED_THUMBNAILER_SRC_FILES)
	

DIST_TAR = $(PROGRAM)-$(VERSION).tar
DIST_TAR_BZ2 = $(DIST_TAR).bz2
DIST_TAR_GZ = $(DIST_TAR).gz
PACKAGE_ORIG_GZ = $(PROGRAM)_`parsechangelog | grep Version | sed 's/.*: //'`.orig.tar.gz

VALAFLAGS := $(VALAFLAGS) $(VALA_DEFINES) --vapidir=plugins/

ifdef ENABLE_TESTS
VALAFLAGS := $(VALAFLAGS) --vapi=libshotwell.vapi --define=ENABLE_TESTS 
DEFINES := $(DEFINES) ENABLE_TESTS=true
endif

VALA_CFLAGS := `pkg-config --cflags $(EXT_PKGS) $(DIRECT_LIBS) gthread-2.0` \
	$(foreach hdir,$(HEADER_DIRS),-I$(hdir)) \
	$(foreach def,$(DEFINES),-D$(def))

VALA_LDFLAGS := `pkg-config --libs $(EXT_PKGS) $(DIRECT_LIBS) gthread-2.0`

# REQUIRED_CFLAGS absolutely get appended to CFLAGS, whatever the
# the value of CFLAGS in the environment
REQUIRED_CFLAGS := -fPIC

# setting CFLAGS in configure.mk overrides build type
ifndef CFLAGS
ifdef BUILD_DEBUG
CFLAGS = -O0 -g -pipe
PLUGIN_CFLAGS = -O0 -g -pipe
else
CFLAGS = -O2 -g -pipe
PLUGIN_CFLAGS = -O2 -g -pipe
endif
endif

CFLAGS += $(REQUIRED_CFLAGS)
PLUGIN_CFLAGS += $(REQUIRED_CFLAGS)

# Required for gudev-1.0
CFLAGS += -DG_UDEV_API_IS_SUBJECT_TO_CHANGE

# Packaged libraw is not widely available, so we must fake what would be in its .pc file
# if not available.
LIBRAW_CONFIG=./libraw-config

define check_valac_version
	@ ./chkver min $(VALAC_VERSION) $(MIN_VALAC_VERSION) || ( echo 'Shotwell requires Vala compiler $(MIN_VALAC_VERSION) or greater.  You are running' $(VALAC_VERSION) '\b.'; exit 1 )
	$(if $(MAX_VALAC_VERSION),\
		@ ./chkver max $(VALAC_VERSION) $(MAX_VALAC_VERSION) || ( echo 'Shotwell cannot be built by Vala compiler $(MAX_VALAC_VERSION) or greater.  You are running' $(VALAC_VERSION) '\b.'; exit 1 ),)
endef

define check_valadate_version
	@ pkg-config $(VALADATE_PKG_NAME) --atleast-version=$(MIN_VALADATE_VERSION) || ( echo 'Shotwell testing requires Valadate $(MIN_VALADATE_VERSION) or greater.  You are running' `pkg-config --modversion $(VALADATE_PKG_NAME)` '\b.'; exit 1 )
endef

all: pkgcheck

=== plugins/shotwell-data-imports/Makefile ===

PLUGIN := shotwell-data-imports

PLUGIN_PKGS := \
	gtk+-3.0 \
	gexiv2 \
	gee-1.0 \
	sqlite3

SRC_FILES := \
	shotwell-data-imports.vala \
	../common/VersionNumber.vala \
	../common/SqliteSupport.vala \
	FSpotImporter.vala \
	FSpotDatabaseBehavior.vala \
	FSpotDatabase.vala \
	FSpotDatabaseTable.vala \
	FSpotTableBehavior.vala \
	FSpotMetaTable.vala \
	FSpotPhotosTable.vala \
	FSpotPhotoTagsTable.vala \
	FSpotPhotoVersionsTable.vala \
	FSpotRollsTable.vala \
	FSpotTagsTable.vala

RC_FILES := \
	f-spot-24.png

include ../Makefile.plugin.mk

=== plugins/shotwell-publishing/Makefile ===

PLUGIN := shotwell-publishing

PLUGIN_PKGS := \
	gtk+-3.0 \
	libsoup-2.4 \
	libxml-2.0 \
	webkitgtk-3.0 \
	gexiv2 \
	rest-0.7 \
	gee-1.0

SRC_FILES := \
	shotwell-publishing.vala \
	FacebookPublishing.vala \
	PicasaPublishing.vala \
	FlickrPublishing.vala \
	YouTubePublishing.vala \
	../common/RESTSupport.vala \
	../common/ui.vala

RC_FILES := \
	facebook.png \
	flickr.png \
	picasa.png \
	youtube.png

include ../Makefile.plugin.mk

=== plugins/shotwell-transitions/Makefile ===

PLUGIN := shotwell-transitions

SRC_FILES := \
	shotwell-transitions.vala \
	FadeEffect.vala \
	SlideEffect.vala \
	CrumbleEffect.vala

RC_FILES := \
	slideshow-plugin.png

include ../Makefile.plugin.mk

=== debian/changelog ===
shotwell (0.12.2-0ubuntu2) precise; urgency=low

  * debian/control:
    - Add build-depends on libunity-dev
  * debian/rules:
    - Build with --unity-support (LP: #980532)

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 13 Apr 2012 09:11:15 +1000

shotwell (0.12.2-0ubuntu1) precise; urgency=low

  * New upstream release:
    - Corrects an issue where graphical corruption of the UI could
      occur if the user navigated away from a camera page while camera
      previews were being generated.
    - Adds enhanced support for the Unity desktop environment.
    - Clarified several strings.
    - The application now recovers gracefully from corrupted tag data.

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 12 Apr 2012 10:44:07 +1000

shotwell (0.12.1-0ubuntu2) precise; urgency=low

  * debian/control: 
    - build with current gexiv2 to pick the current soname (lp: #971468)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Apr 2012 15:35:03 +0200

shotwell (0.12.1-0ubuntu1) precise-proposed; urgency=low

  * New upstream release:
    - Corrects a critical issue where the application could not be started in
      direct-edit mode.  

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 29 Mar 2012 11:37:01 +1100

shotwell (0.12.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream release:
    (Changes since 0.11.6)
    - Adds straighten tool
    - Ported from GTK 2 to GTK 3
    - Better handling of importing from Android devices
    - Facebook and Flickr login now use OAuth authentication
    - Numerous enhancements to the plugin subsystem
    - The F-Spot importer is now implemented as a plugin
    - Many, many bugfixes and stability enhancements
  * debian/control:
    - Bump build-depends on gexiv2

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 28 Mar 2012 11:59:51 +1100

shotwell (0.11.93-0ubuntu2) precise; urgency=low

  * debian/control: build-depends on librest-dev, the publishing makefile
    requires it

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Mar 2012 16:08:00 +0100

shotwell (0.11.93-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 07 Mar 2012 10:27:48 +1100

shotwell (0.11.92-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 21 Feb 2012 13:52:58 +1100

shotwell (0.11.91-0ubuntu2) precise; urgency=low

  * debian/control: use the correct liblaunchpad-integration version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Jan 2012 11:58:24 +0100

shotwell (0.11.91-0ubuntu1) precise; urgency=low

  * New upstream version using GTK3 (lp: #871034),
    should fix lp: #800459, #881896, #887357, #888363, #898028
  * Refreshed patches for the new version
  * debian/control:
    - updated build-dependencies for GTK3
  * debian/patches/99git_libraw_api.patch:
    - dropped, the patch is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Jan 2012 15:59:04 +0100

shotwell (0.11.6-0ubuntu2) precise; urgency=low

  * debian/patches/99git_libraw_api.patch: cherry-pick changes from git to work
    with libraw 0.14.0.
  * debian/patches/05-gomp-linking.patch: we also need to link shotwell against
    GOMP now, apparently, so add -fopenmp to the Makefile's relevant rule.
  * debian/shotwell-video-thumbnailer.1: added, it was missing from the previous
    upload and referred to by debian/manpages.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 25 Nov 2011 12:31:19 -0500

shotwell (0.11.6-0ubuntu1) precise; urgency=low

  * New upstream version
  * Resynchronize on Debian
  * debian/control.in:
    - build-depends on python-scour, liblaunchpad-integration-dev
    - don't build-depends on locales-all
  * debian/rules:
    - use configure option --disable-icon-update and dh option --with-scour

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 23 Nov 2011 21:19:35 +0100

=== debian/control ===
Source: shotwell
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               m4,
               valac-0.16 (>= 0.15),
               libgee-dev (>= 0.5.0),
               libgtk-3-dev (>= 3.0.11),
               libexif-dev (>= 0.6.16),
               libsqlite3-dev (>= 3.5.9),
               libgexiv2-dev (>= 0.4.1-1build1),
               libgnomevfs2-dev (>= 2.24.2),
               libgphoto2-2-dev (>= 2.4.2),
               libsoup2.4-dev (>= 2.26.0),
               libxml2 (>= 2.6.32),
               libunique-3.0-dev (>= 1.0.0),
               libwebkitgtk-3.0-dev (>= 1.1.5),
               libgudev-1.0-dev (>= 145),
               libdbus-glib-1-dev (>= 0.80),
               libraw-dev (>= 0.13.1-2),
               libusb-dev,
               libjson-glib-dev (>= 0.7.6),
               libgstreamer0.10-dev (>= 0.10.28),
               libgstreamer-plugins-base0.10-dev (>= 0.10.32),
               python-scour,
               libunity-dev,
               liblaunchpad-integration-3.0-dev (>= 0.1.36),
               librest-dev
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: http://yorba.org/shotwell/
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/shotwell/ubuntu

Package: shotwell
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common, dbus-x11
Description: digital photo organizer
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others.

## shotwell 0.12.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PROGRAM = shotwell
 PROGRAM_THUMBNAILER = shotwell-video-thumbnailer
 
-VERSION = 0.12.2
+VERSION = 0.12.3
 GETTEXT_PACKAGE = $(PROGRAM)
 BUILD_ROOT = 1

=== plugins/shotwell-publishing-extras/Makefile ===

PLUGIN := shotwell-publishing-extras

PLUGIN_PKGS := \
	gtk+-3.0 \
	libsoup-2.4 \
	libxml-2.0 \
	webkitgtk-3.0 \
	gee-1.0

SRC_FILES := \
	shotwell-publishing-extras.vala \
	YandexPublishing.vala \
	PiwigoPublishing.vala \
	../common/RESTSupport.vala \
	../../src/util/string.vala

RC_FILES := \
	yandex_publish_model.glade \
	piwigo.png \
	piwigo_authentication_pane.glade \
	piwigo_publishing_options_pane.glade

include ../Makefile.plugin.mk

=== debian/changelog ===
shotwell (0.12.3-2+deb7u1) stable; urgency=low

  * Team upload.
  * debian/patches/no_assertion.patch:
    - Cherry-pick patch from upstream to fix crashes at startup replacing
      an assertion with a short-circuit return (Closes: #722909).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 06 Oct 2013 14:04:31 +0200

shotwell (0.12.3-2) unstable; urgency=low

  * Team upload.
  * debian/patches/metadata.patch:
    - Cherry-pick patches from upstream repository to fix crashes while
      managing metadata (Closes: #665498).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 22 Jul 2012 11:56:51 +0200

shotwell (0.12.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #674720).
  * debian/patches/sidebar-bg-color.patch:
    - Removed, applied upstream.
  * debian/patches/openmp.patch:
    - Refresh for new upstream release.
  * debian/control:
    - Move architecture-independent data into shotwell-common package.
    - Let shotwell binary depend on the new shotwell-common package.
    - Provide shotwell-dbg packaage.
  * debian/rules:
    - Pass --dbg-package=shotwell-dbg to dh sequencer.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 03 Jun 2012 12:19:04 +0200

shotwell (0.12.2-1) unstable; urgency=low

  * Team upload to unstable
  * New upstream release.
  * debian/patches/gcc_format_string.patch:
    - Removed, applied upstream.
  * debian/patches/format_string.patch:
    - Fix FTBFS with missing format string parameter.
  * debian/patches/openmp.patch:
    - Pass -fopenmp to gcc flags.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 06 May 2012 19:50:17 +0200

shotwell (0.12.1-1) experimental; urgency=low

  * Team upload.
  * New upstream release (Closes: #666053).
    - Login into flickr with OpenID (Closes: #641472).
    - In view mode, when deleting a photo, do not switch back to
      thumbnail mode (Closes: #655100).
    - Event names are displayed correctly (Closes: #664980).
  * debian/patches/gcc_format_string.patch:
    - fix FTBFS with recent gcc.
  * debian/patches/vala-0.14.1.patch:
    - Removed, no longer needed.
  * debian/patches/*
    - Refresh for new upstream release.
  * debian/compat:
    - Bump compatibility level to 9.
  * debian/control:
    - Build-depend on valac-0.16.
    - Build-depend on librest-dev.
    - Refresh build-dependencies.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 29 Mar 2012 23:28:23 +0200

shotwell (0.11.6-2) unstable; urgency=low

  * Team upload.
  * debian/patches/vala-0.14.1.patch:
    - Allow compilation with vala-0.14.1.
  * debian/control:
    - Build-depend on unversioned valac (Closes: #663318).
    - Bump Standards-Version to 3.9.3.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 18 Mar 2012 01:36:18 +0100

=== debian/control ===
Source: shotwell
Section: gnome
Priority: optional
Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 9),
               m4,
               valac-0.16 (>= 0.15.2),
               libgee-dev (>= 0.5.0),
               libgtk-3-dev (>= 3.0.11),
               libexif-dev (>= 0.6.16),
               libsqlite3-dev (>= 3.5.9),
               libgexiv2-dev (>= 0.3.92),
               libgphoto2-2-dev (>= 2.4.2),
               libsoup2.4-dev (>= 2.26.0),
               libxml2 (>= 2.6.32),
               libunique-3.0-dev (>= 3.0.0),
               libwebkitgtk-3.0-dev (>= 1.4.0),
               libgudev-1.0-dev (>= 145),
               libraw-dev (>= 0.14),
               libusb-dev,
               libgstreamer0.10-dev (>= 0.10.28),
               libgstreamer-plugins-base0.10-dev (>= 0.10.32),
               librest-dev
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Homepage: http://yorba.org/shotwell/

Package: shotwell
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         shotwell-common (= ${source:Version}),
         librsvg2-common,
         dbus-x11
Description: digital photo organizer
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others.

Package: shotwell-common
Architecture: all
Depends: ${misc:Depends}
Recommends: shotwell
Breaks: shotwell (<< 0.12.3-1)
Replaces: shotwell (<< 0.12.3-1)
Description: digital photo organizer - common files
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others.
 .
 This package provides images and documentation for Shotwell

Package: shotwell-dbg
Priority: extra
Section: debug
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         shotwell (= ${binary:Version})
Description: digital photo organizer - debugging symbols
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others.
 .
 This package contains the debugging symbols for Shotwell.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --dbg-package=shotwell-dbg

override_dh_auto_configure:
	dh_auto_configure -- --disable-schemas-compile

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## shotwell 0.13.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,8 @@
 PROGRAM = shotwell
 PROGRAM_THUMBNAILER = shotwell-video-thumbnailer
-
-VERSION = 0.12.3
+PROGRAM_MIGRATOR = shotwell-settings-migrator
+
+VERSION = 0.13.0
 GETTEXT_PACKAGE = $(PROGRAM)
 BUILD_ROOT = 1
 
@@ -9,9 +10,11 @@
 VALAC := valac
 endif
 VALAC_VERSION := `$(VALAC) --version | awk '{print $$2}'`
-MIN_VALAC_VERSION := 0.15.2
+MIN_VALAC_VERSION := 0.17.2
 INSTALL_PROGRAM := install
 INSTALL_DATA := install -m 644
+
+export MIN_GLIB_VERSION=2.30.0
 
 # needed for testing
 VALADATE_PKG_NAME := valadate-1.0
@@ -26,10 +29,10 @@
 
 CORE_SUPPORTED_LANGUAGES= ia hi ta_IN te_IN fr de it es pl et sv sk lv pt bg bn nl da zh_CN \
     el ru pa hu en_GB uk ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR \
-    eu he mk te ta vi
+    eu he mk te ta vi or km
 
 EXTRAS_SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa hu en_GB uk \
-    ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR eu he mk te ta vi
+    ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR eu he mk te ta eo or
 
 LOCAL_LANG_DIR=locale-langpack
 SYSTEM_LANG_DIR := $(DESTDIR)$(PREFIX)/share/locale
@@ -37,6 +40,10 @@
 VALAFLAGS := -g --enable-checking --thread --fatal-warnings --enable-deprecated $(USER_VALAFLAGS)
 ifdef UNITY_SUPPORT
 VALAFLAGS := $(VALAFLAGS) --define UNITY_SUPPORT
+endif
+
+ifdef WITH_GPHOTO_25
+VALAFLAGS := $(VALAFLAGS) --define WITH_GPHOTO_25
 endif
 
 DEFINES := _PREFIX='"$(PREFIX)"' _VERSION='"$(VERSION)"' GETTEXT_PACKAGE='"$(GETTEXT_PACKAGE)"' \
@@ -109,10 +116,15 @@
 	ExtendedPosix.vapi \
 	LConv.vapi \
 	libexif.vapi \
-	libgphoto2.vapi \
 	libraw.vapi \
 	unique-3.0.vapi \
 	webkitgtk-3.0.vapi
+
+ifdef WITH_GPHOTO_25
+GPHOTO_VAPI_FILE = vapi/gphoto-2.5/libgphoto2.vapi
+else
+GPHOTO_VAPI_FILE = vapi/gphoto-2.4/libgphoto2.vapi
+endif
 
 RESOURCE_FILES = \
 	collection.ui \
@@ -257,6 +269,13 @@
 VAPI_DIRS = \
 	./vapi
 
+ifdef WITH_GPHOTO_25
+VAPI_DIRS += ./vapi/gphoto-2.5
+else
+VAPI_DIRS += ./vapi/gphoto-2.4
+endif
+
+
 HEADER_DIRS = \
 	./vapi
 
@@ -265,8 +284,6 @@
 	posix \
 	LConv
 
-# libraw is not listed (see note below); when libraw-config is no longer needed, it should be
-# added to this list
 EXT_PKGS = \
 	atk \
 	gdk-3.0 \
@@ -283,6 +300,8 @@
 	gudev-1.0 \
 	libexif \
 	libgphoto2 \
+	json-glib-1.0 \
+	libraw \
 	libsoup-2.4 \
 	libxml-2.0 \
 	sqlite3 \
@@ -300,16 +319,11 @@
 
 DIRECT_LIBS =
 
-LIBRAW_PKG = \
-	libraw
-
-# libraw is handled separately (see note below); when libraw-config is no longer needed, the version
-# should be added to this list
 EXT_PKG_VERSIONS = \
 	gee-1.0 >= 0.5.0 \
 	gexiv2 >= 0.3.92 \
 	gio-unix-2.0 >= 2.20 \
-	glib-2.0 >= 2.30.0 \
+	glib-2.0 >= $(MIN_GLIB_VERSION) \
 	gmodule-2.0 >= 2.24.0 \
 	gstreamer-0.10 >= 0.10.28 \
 	gstreamer-base-0.10 >= 0.10.28 \
@@ -319,6 +333,7 @@
 	gudev-1.0 >= 145 \
 	libexif >= 0.6.16 \
 	libgphoto2 >= 2.4.2 \
+	libraw >= 0.13.2 \
 	libsoup-2.4 >= 2.26.0 \
 	libxml-2.0 >= 2.6.32 \
 	sqlite3 >= 3.5.9 \
@@ -331,10 +346,7 @@
 endif
 DIRECT_LIBS_VERSIONS =
 
-LIBRAW_VERSION = \
-	0.9.0
-
-VALA_PKGS = $(EXT_PKGS) $(LOCAL_PKGS) $(LIBRAW_PKG)
+VALA_PKGS = $(EXT_PKGS) $(LOCAL_PKGS)
 
 ifndef BUILD_DIR
 BUILD_DIR=src
@@ -344,6 +356,7 @@
 DESKTOP_APP_FULL_NAME="Shotwell Photo Manager"
 DESKTOP_APPLICATION_COMMENT="Organize your photos"
 DESKTOP_APPLICATION_CLASS="Photo Manager"
+DESKTOP_APP_KEYWORDS="Camera;Picture;Photo;"
 DIRECT_EDIT_DESKTOP_APP_SHORT_NAME="Shotwell"
 DIRECT_EDIT_DESKTOP_APP_FULL_NAME="Shotwell Photo Viewer"
 DIRECT_EDIT_DESKTOP_APPLICATION_CLASS="Photo Viewer"
@@ -366,6 +379,9 @@
 THUMBNAILER_DIR := thumbnailer
 THUMBNAILER_BIN := $(THUMBNAILER_DIR)/$(PROGRAM_THUMBNAILER)
 EXPANDED_THUMBNAILER_SRC_FILES := $(foreach file, $(THUMBNAILER_SRC_FILES), $(THUMBNAILER_DIR)/$(file))
+
+MIGRATOR_DIR := settings-migrator
+MIGRATOR_BIN := $(MIGRATOR_DIR)/$(PROGRAM_MIGRATOR)
 
 EXPANDED_CORE_PO_FILES := $(foreach po,$(CORE_SUPPORTED_LANGUAGES),po/shotwell-core/$(po).po)
 EXPANDED_EXTRAS_PO_FILES := $(foreach po,$(EXTRAS_SUPPORTED_LANGUAGES),po/shotwell-extras/$(po).po)
@@ -391,16 +407,16 @@
 DIST_FILES = Makefile configure chkver $(EXPANDED_DIST_SRC_FILES) $(EXPANDED_VAPI_FILES) \
 	$(EXPANDED_SRC_HEADER_FILES) $(EXPANDED_RESOURCE_FILES) $(TEXT_FILES) $(EXPANDED_ICON_FILES) \
 	$(EXPANDED_SYS_INTEGRATION_FILES) $(EXPANDED_CORE_PO_FILES) $(EXPANDED_EXTRAS_PO_FILES) \
-	po/shotwell-core/shotwell.pot po/shotwell-extras/shotwell-extras.pot libraw-config \
+	po/shotwell-core/shotwell.pot po/shotwell-extras/shotwell-extras.pot \
 	$(EXPANDED_HELP_FILES) $(EXPANDED_HELP_IMAGES) apport/shotwell.py $(UNIT_RESOURCES) $(UNIT_MKS) \
 	unitize.mk units.mk $(PC_INPUT) $(PLUGINS_DIST_FILES) \
-	$(EXPANDED_THUMBNAILER_SRC_FILES)
+	vapi/gphoto-2.5/libgphoto2.vapi vapi/gphoto-2.4/libgphoto2.vapi \
+	$(EXPANDED_THUMBNAILER_SRC_FILES) $(MIGRATOR_BIN)
 	
 
 DIST_TAR = $(PROGRAM)-$(VERSION).tar
-DIST_TAR_BZ2 = $(DIST_TAR).bz2
-DIST_TAR_GZ = $(DIST_TAR).gz
-PACKAGE_ORIG_GZ = $(PROGRAM)_`parsechangelog | grep Version | sed 's/.*: //'`.orig.tar.gz
+DIST_TAR_XZ = $(DIST_TAR).xz
+PACKAGE_ORIG_XZ = $(PROGRAM)_`parsechangelog | grep Version | sed 's/.*: //'`.orig.tar.xz
 
 VALAFLAGS := $(VALAFLAGS) $(VALA_DEFINES) --vapidir=plugins/
 
@@ -436,10 +452,6 @@
 # Required for gudev-1.0
 CFLAGS += -DG_UDEV_API_IS_SUBJECT_TO_CHANGE
 
-# Packaged libraw is not widely available, so we must fake what would be in its .pc file
-# if not available.
-LIBRAW_CONFIG=./libraw-config
-
 define check_valac_version
 	@ ./chkver min $(VALAC_VERSION) $(MIN_VALAC_VERSION) || ( echo 'Shotwell requires Vala compiler $(MIN_VALAC_VERSION) or greater.  You are running' $(VALAC_VERSION) '\b.'; exit 1 )
 	$(if $(MAX_VALAC_VERSION),\
@@ -447,8 +459,3 @@
 endef
 
 define check_valadate_version
-	@ pkg-config $(VALADATE_PKG_NAME) --atleast-version=$(MIN_VALADATE_VERSION) || ( echo 'Shotwell testing requires Valadate $(MIN_VALADATE_VERSION) or greater.  You are running' `pkg-config --modversion $(VALADATE_PKG_NAME)` '\b.'; exit 1 )
-endef
-
-all: pkgcheck
-

=== debian/changelog ===
shotwell (0.13.0-0ubuntu3) quantal; urgency=low

  [ Alberto Mardegan]
  * debian/patches/06_uoa.patch:
    - Remove duplicate "Shotwell" entry from .pot translation template
      (lp: #1056698)
    - Better handling of missing publishing services (lp: #1060586)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Oct 2012 23:00:11 +0200

shotwell (0.13.0-0ubuntu2) quantal-proposed; urgency=low

  [ Alberto Mardegan ]
  * debian/patches/06_uoa.patch (LP: #1046461)
    - Support multiple accounts per service
    - Attempt automatic login
    - Remove logout buttons

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 24 Sep 2012 11:10:48 -0400

shotwell (0.13.0-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release
  * debian/watch:
    - Watch for stable versions

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 20 Sep 2012 15:21:41 +1200

shotwell (0.12.90-0ubuntu1) quantal; urgency=low

  [ Robert Ancell ]
  * New upstream release (LP: #1041011)
  * debian/watch:
    - Watch for unstable versions
    - Releases now in .xz format

  [ Alberto Mardegan ]
  * debian/patches/06_uoa.patch:
    - updated for the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 28 Aug 2012 16:57:19 +0200

shotwell (0.12.3-0ubuntu2) quantal; urgency=low

  * debian/patches/06_uoa.patch
    - Added UOA support
  * debian/control
    - added build depends libsignon-glib-dev and libaccounts-glib-dev 

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 21 Aug 2012 15:40:58 -0400

shotwell (0.12.3-0ubuntu1) quantal; urgency=low

  * New upstream version, fixes:
    - Shotwell deletes tags at random (lp: #999108)
    - shotwell's unity progress bar hangs halfway across (lp: #987046)
    - Shotwell will not detect mts moviefiles on memory card (lp: #990725)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 16 May 2012 15:18:16 +0200

shotwell (0.12.2-0ubuntu3) quantal; urgency=low

  * debian/control:
    - Use standards version 3.9.3
    - Drop dependency on liblaunchpad-integration-3.0-dev
  * debian/patches/01_lpi.patch:
    - Dropped, we no longer do Launchpad integration

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 14 May 2012 16:14:15 +1200

## shotwell 0.13.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PROGRAM_THUMBNAILER = shotwell-video-thumbnailer
 PROGRAM_MIGRATOR = shotwell-settings-migrator
 
-VERSION = 0.13.0
+VERSION = 0.13.1
 GETTEXT_PACKAGE = $(PROGRAM)
 BUILD_ROOT = 1

=== plugins/shotwell-publishing-extras/Makefile ===

PLUGIN := shotwell-publishing-extras

PLUGIN_PKGS := \
	gtk+-3.0 \
	libsoup-2.4 \
	libxml-2.0 \
	webkitgtk-3.0 \
	gee-1.0 \
	rest-0.7 \
	json-glib-1.0

SRC_FILES := \
	shotwell-publishing-extras.vala \
	YandexPublishing.vala \
	TumblrPublishing.vala \
	../../src/util/string.vala \
	../common/RESTSupport.vala

RC_FILES := \
	yandex_publish_model.glade \
	tumblr.png \
	tumblr_authentication_pane.glade \
	tumblr_publishing_options_pane.glade

include ../Makefile.plugin.mk

=== debian/changelog ===
shotwell (0.13.1-0ubuntu3) raring; urgency=low

  * Backport patch from upstream bug #5548 to port to GStreamer 1.0. Update
    BDs accordingly. 

 -- Iain Lane <iain.lane@canonical.com>  Fri, 30 Nov 2012 13:22:34 +0000

shotwell (0.13.1-0ubuntu2) raring; urgency=low

  * Upload to raring

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 07 Nov 2012 17:29:21 +0100

shotwell (0.13.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream version:
    - "does not check response from fb assumes it is html/xml" (lp: #1050793)
    - Fixes an issue where Shotwell would not include all selected photos 
      during a Nautilus "Send To..." export operation (lp: #1002537)
    - Shotwell now properly inhibits the system screensaver when playing a 
      slideshow (lp: #1034412)
  * debian/patches/06_uoa.patch: new version update
  * debian/patches/dont_set_hardcoded_libexec.patch: revert upstream change,
    changing the directory this way in a SRU is wrong

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 31 Oct 2012 16:58:47 +0100

=== debian/control ===
Source: shotwell
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               m4,
               valac-0.18 (>= 0.17.2),
               libgee-dev (>= 0.5.0),
               libglib2.0-dev (>= 2.30.0),
               libgtk-3-dev (>= 3.0.11),
               libexif-dev (>= 0.6.16),
               libsqlite3-dev (>= 3.5.9),
               libgexiv2-dev (>= 0.4.1-1build1),
               libgnomevfs2-dev (>= 2.24.2),
               libgphoto2-2-dev (>= 2.4.2),
               libsoup2.4-dev (>= 2.26.0),
               libxml2 (>= 2.6.32),
               libunique-3.0-dev (>= 1.0.0),
               libwebkitgtk-3.0-dev (>= 1.1.5),
               libgudev-1.0-dev (>= 145),
               libdbus-glib-1-dev (>= 0.80),
               libraw-dev (>= 0.13.2),
               libusb-dev,
               libjson-glib-dev (>= 0.7.6),
               libgstreamer1.0-dev (>= 1.0.0), 
               libgstreamer-plugins-base1.0-dev (>= 1.0.0),
               python-scour,
               libunity-dev,
               librest-dev,
               libsignon-glib-dev,
               libaccounts-glib-dev
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Homepage: http://yorba.org/shotwell/
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/shotwell/ubuntu

Package: shotwell
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common, dbus-x11
Recommends: account-plugin-facebook, account-plugin-google, account-plugin-flickr
Description: digital photo organizer
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others.

## shotwell 0.14.1

=== plugins/shotwell-publishing/Makefile ===
--- 
+++ 
@@ -8,7 +8,8 @@
 	webkitgtk-3.0 \
 	gexiv2 \
 	rest-0.7 \
-	gee-1.0
+	gee-1.0 \
+	json-glib-1.0
 
 SRC_FILES := \
 	shotwell-publishing.vala \
@@ -16,14 +17,26 @@
 	PicasaPublishing.vala \
 	FlickrPublishing.vala \
 	YouTubePublishing.vala \
+	PiwigoPublishing.vala \
+	../../src/util/string.vala \
 	../common/RESTSupport.vala \
 	../common/ui.vala
 
 RC_FILES := \
 	facebook.png \
+	facebook_publishing_options_pane.glade \
 	flickr.png \
+	flickr_publishing_options_pane.glade \
+	flickr_pin_entry_pane.glade \
 	picasa.png \
-	youtube.png
+	picasa_auth_code_entry_pane.glade \
+    picasa_not_set_up_pane.glade \
+	picasa_publishing_options_pane.glade \
+	piwigo.png \
+	piwigo_authentication_pane.glade \
+	piwigo_publishing_options_pane.glade \
+	youtube.png \
+	youtube_publishing_options_pane.glade
 
 include ../Makefile.plugin.mk

=== debian/changelog ===
shotwell (0.14.1-0ubuntu1) raring; urgency=low

  * New upstream bugfix version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 04 Apr 2013 19:11:05 +0200

shotwell (0.14.0-0ubuntu1) raring; urgency=low

  * New upstream version
  * debian/control: drop leftover build-depends on libgnomevfs2-dev

  [ Alberto Mardegan]
  * debian/patches/06_uoa.patch: new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 19 Mar 2013 19:34:19 +0100

shotwell (0.14.0~pr1-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1154324)
  * debian/control:
    - Bump build-depends on valac-0.18
    - Use standards version 3.9.4
  * debian/rules:
    - Run configure manually, it no longer handles unknown args
  * debian/patches/0001-Port-to-GStreamer-1.0.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 19 Mar 2013 09:25:40 +1300

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
 Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
                m4,
-               valac-0.18 (>= 0.17.2),
+               valac-0.18 (>= 0.18.0),
                libgee-dev (>= 0.5.0),
                libglib2.0-dev (>= 2.30.0),
                libgtk-3-dev (>= 3.0.11),
                libexif-dev (>= 0.6.16),
                libsqlite3-dev (>= 3.5.9),
                libgexiv2-dev (>= 0.4.1-1build1),
-               libgnomevfs2-dev (>= 2.24.2),
                libgphoto2-2-dev (>= 2.4.2),
                libsoup2.4-dev (>= 2.26.0),
                libxml2 (>= 2.6.32),
@@ -32,7 +31,7 @@
                libsignon-glib-dev,
                libaccounts-glib-dev
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://yorba.org/shotwell/
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/shotwell/ubuntu

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

%:
	dh $@ --with-scour

override_dh_auto_configure:
	./configure --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --disable-schemas-compile --disable-icon-update --unity-support

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
  http://yorba.org/download/shotwell/([\d\.]+)/shotwell-(.*)\.tar\.xz
